Subject: [alpine-devel] [PATCH] testing/ciwiki: new aport

From: ScrumpyJack <[email-masked]>
Date: Thu, 02 Apr 2015 10:08:27 +0000 (GMT)

A personal lightweight wiki written in C
http://ciwiki.sourceforge.net/
---
 testing/ciwiki/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/ciwiki/APKBUILD

diff --git a/testing/ciwiki/APKBUILD b/testing/ciwiki/APKBUILD
new file mode 100644
index 0000000..2502d9f
--- /dev/null
+++ b/testing/ciwiki/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: ScrumpyJack <[email-masked]>
+# Maintainer:
+pkgname=ciwiki
+pkgver=2.0.2
+pkgrel=0
+pkgdesc="A personal lightweight wiki written in C"
+url="http://ciwiki.sourceforge.net/"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr || exit 1
+        make
+
+}
+
+package() {
+	cd "$_builddir"
+        install -m755 -d "${pkgdir}/usr/bin"
+        install -m755 -d "${pkgdir}/usr/share/man/man1"
+        install -m755 src/ciwiki "${pkgdir}/usr/bin/"
+        install -m755 src/
+        install -m644 docs/ciwiki.man ${pkgdir}/usr/share/man/man1/ciwiki.1
+
+}
+
+md5sums="dd40089b72fc0827fd89e653d25ff4ca  ciwiki-2.0.2.tar.gz"
+sha256sums="b49d586c29844ba964c4e633f19584c0425c157fe4be72413727524e11c92731  ciwiki-2.0.2.tar.gz"
+sha512sums="5e17409a886554ca622e69815c07595e0a84ea69f9e5117a9e27054095de0672cac1ebb71cd9f3bbcae4dc671ce14f854d773613c4e3a908973a5f622baec644  ciwiki-2.0.2.tar.gz"
-- 
2.3.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---